Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 614180 - Cannot view package dependencies
Cannot view package dependencies
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 15:31 EDT by chris bumgarner
Modified: 2011-06-29 09:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:34:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chris bumgarner 2010-07-13 15:31:46 EDT
Description of problem:
I am unable to view a package's dependencies in gpk using the gui.

Version-Release number of selected component (if applicable):
gpk-application 2.30.2

How reproducible:
Worked fine after install, but stopped working 3 days later. Now 100%

Steps to Reproduce:
1. Open Add/Remove Software
2. Select any package
3. From the "Selection" menu, choose "Depends On"
  
Actual results:
Nothing happens.

Expected results:
Back when this option worked, I remember seeing a dialogue box that lists dependencies for the selected package, along with an icon that tells me whether that particular dependent package is already installed. If no dependencies are required, the user should receive appropriate feedback to that effect.

Additional info:
Comment 1 Watanabe, Yuki 2010-08-01 05:40:54 EDT
Not only "Depends on" but also "Required by" is not working for me. When I choose "Depends on" or "Required by" from the menu, nothing happens.

I'm using
PackageKit-0.6.6-1.fc13.i686
PackageKit-command-not-found-0.6.6-1.fc13.i686
PackageKit-device-rebind-0.6.6-1.fc13.i686
PackageKit-glib-0.6.6-1.fc13.i686
PackageKit-gtk-module-0.6.6-1.fc13.i686
PackageKit-yum-0.6.6-1.fc13.i686
PackageKit-yum-plugin-0.6.6-1.fc13.i686
gnome-packagekit-2.30.3-1.fc13.i686
Comment 2 Bug Zapper 2011-06-01 09:59:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-29 09:34:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.